Streaming Endpoints - Delete

Delete StreamingEndpoint
Deletes a streaming endpoint.

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Media/mediaservices/{accountName}/streamingEndpoints/{streamingEndpointName}?api-version=2021-11-01

URI Parameters

Name In Required Type Description
accountName
path True
  • string

The Media Services account name.

resourceGroupName
path True
  • string

The name of the resource group within the Azure subscription.

streamingEndpointName
path True
  • string

The name of the streaming endpoint, maximum length is 24.

Regex pattern: ^[a-zA-Z0-9]+(-*[a-zA-Z0-9])*$

subscriptionId
path True
  • string

The unique identifier for a Microsoft Azure subscription.

api-version
query True
  • string

The version of the API to be used with the client request.

Responses

Name Type Description
200 OK

OK. The request has succeeded.

202 Accepted

Accepted. The request has been accepted for processing and the operation will complete asynchronously. See https://go.microsoft.com/fwlink/?linkid=2087017 for details on the monitoring asynchronous Azure Operations.

204 No Content

No content. The request has been accepted but the Streaming Endpoint was not found.

Other Status Codes

The streaming error response describing why the operation failed.

Examples

Delete a streaming endpoint

Sample Request

DELETE https://management.azure.com/subscriptions/0a6ec948-5a62-437d-b9df-934dc7c1b722/resourceGroups/mediaresources/providers/Microsoft.Media/mediaservices/slitestmedia10/streamingEndpoints/myStreamingEndpoint1?api-version=2021-11-01

Sample Response

azure-asyncoperation: https://management.azure.com/subscriptions/0a6ec948-5a62-437d-b9df-934dc7c1b722/resourceGroups/mediaresources/providers/Microsoft.Media/mediaservices/slitestmedia10/streamingendpointoperations/62e4d893-d233-4005-988e-a428d9f77076?api-version=2021-11-01
location: https://management.azure.com/subscriptions/0a6ec948-5a62-437d-b9df-934dc7c1b722/resourceGroups/mediaresources/providers/Microsoft.Media/mediaservices/slitestmedia10/streamingendpoints/myStreamingEndpoint1/operationlocations/62e4d893-d233-4005-988e-a428d9f77076?api-version=2021-11-01

Definitions

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info
  • object

The additional info.

type
  • string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

The error additional info.

code
  • string

The error code.

details

The error details.

message
  • string

The error message.

target
  • string

The error target.

ErrorResponse

Error response

Name Type Description
error

The error object.